#!/bin/bash
t=`date +%Y.%h.%d-%H.%d.%S`
(
sleep 2;
echo -e "\r";
sleep 1;
echo -e "read (0-15,0-15) \r";
sleep 5;
echo -e "set voltage limit 1800 \r";
echo -e "\r";
echo -e "write (0-15,0-15) -900\r"; sleep 10;

echo -e "write (0,0) -1678\r"; sleep 2;
echo -e "write (0,1) -1561\r"; sleep 2;
echo -e "write (0,2) -1600\r"; sleep 2;
echo -e "write (0,3) -1668\r"; sleep 2;
echo -e "write (0,4) -1628\r"; sleep 2;
echo -e "write (0,5) -1616\r"; sleep 2;
echo -e "write (0,6) -1520\r"; sleep 2;
echo -e "write (0,9) -1598\r"; sleep 2;
echo -e "write (0,10) -1575\r"; sleep 2;
echo -e "write (0,11) -1578\r"; sleep 2;
echo -e "write (0,12) -1486\r"; sleep 2;
echo -e "write (0,13) -1600\r"; sleep 2;
echo -e "write (0,14) -1636\r"; sleep 2;
echo -e "write (1,0) -1594\r"; sleep 2;
echo -e "write (1,1) -1519\r"; sleep 2;
echo -e "write (1,2) -1610\r"; sleep 2;
echo -e "write (1,3) -1635\r"; sleep 2;
echo -e "write (1,4) -1647\r"; sleep 2;
echo -e "write (1,5) -1458\r"; sleep 2;
echo -e "write (1,6) -1583\r"; sleep 2;
echo -e "write (1,9) -1441\r"; sleep 2;
echo -e "write (1,10) -1517\r"; sleep 2;
echo -e "write (1,11) -1334\r"; sleep 2;
echo -e "write (1,12) -1542\r"; sleep 2;
echo -e "write (1,13) -1455\r"; sleep 2;
echo -e "write (1,14) -1591\r"; sleep 2;
echo -e "write (2,0) -1615\r"; sleep 2;
echo -e "write (2,1) -1620\r"; sleep 2;
echo -e "write (2,2) -1613\r"; sleep 2;
echo -e "write (2,3) -1668\r"; sleep 2;
echo -e "write (2,4) -1528\r"; sleep 2;
echo -e "write (2,5) -1613\r"; sleep 2;
echo -e "write (2,6) -1560\r"; sleep 2;
echo -e "write (2,9) -1539\r"; sleep 2;
echo -e "write (2,10) -1658\r"; sleep 2;
echo -e "write (2,11) -1337\r"; sleep 2;
echo -e "write (2,12) -1568\r"; sleep 2;
echo -e "write (2,14) -1619\r"; sleep 2;
echo -e "write (3,0) -1578\r"; sleep 2;
echo -e "write (3,1) -1365\r"; sleep 2;
echo -e "write (3,2) -1424\r"; sleep 2;
echo -e "write (3,3) -1688\r"; sleep 2;
echo -e "write (3,4) -1465\r"; sleep 2;
echo -e "write (3,5) -1622\r"; sleep 2;
echo -e "write (3,6) -1350\r"; sleep 2;
echo -e "write (3,9) -1595\r"; sleep 2;
echo -e "write (3,10) -1600\r"; sleep 2;
echo -e "write (3,11) -1470\r"; sleep 2;
echo -e "write (3,12) -1674\r"; sleep 2;
echo -e "write (3,13) -1400\r"; sleep 2;
echo -e "write (3,14) -1564\r"; sleep 2;
echo -e "write (4,0) -1536\r"; sleep 2;
echo -e "write (4,1) -1536\r"; sleep 2;
echo -e "write (4,2) -1610\r"; sleep 2;
echo -e "write (4,3) -1663\r"; sleep 2;
echo -e "write (4,4) -1618\r"; sleep 2;
echo -e "write (4,5) -1391\r"; sleep 2;
echo -e "write (4,6) -1436\r"; sleep 2;
echo -e "write (4,9) -1627\r"; sleep 2;
echo -e "write (4,10) -1615\r"; sleep 2;
echo -e "write (4,11) -1507\r"; sleep 2;
echo -e "write (4,12) -1629\r"; sleep 2;
echo -e "write (4,13) -1545\r"; sleep 2;
echo -e "write (4,14) -1448\r"; sleep 2;
echo -e "write (5,0) -1570\r"; sleep 2;
echo -e "write (5,1) -1419\r"; sleep 2;
echo -e "write (5,2) -1424\r"; sleep 2;
echo -e "write (5,3) -1505\r"; sleep 2;
echo -e "write (5,4) -1626\r"; sleep 2;
echo -e "write (5,5) -1604\r"; sleep 2;
echo -e "write (5,6) -1545\r"; sleep 2;
echo -e "write (5,9) -1372\r"; sleep 2;
echo -e "write (5,10) -1670\r"; sleep 2;
echo -e "write (5,11) -1431\r"; sleep 2;
echo -e "write (5,12) -1532\r"; sleep 2;
echo -e "write (5,13) -1680\r"; sleep 2;
echo -e "write (5,14) -1687\r"; sleep 2;
echo -e "write (6,0) -1641\r"; sleep 2;
echo -e "write (6,1) -1530\r"; sleep 2;
echo -e "write (6,2) -1545\r"; sleep 2;
echo -e "write (6,3) -1629\r"; sleep 2;
echo -e "write (6,4) -1443\r"; sleep 2;
echo -e "write (6,5) -1324\r"; sleep 2;
echo -e "write (6,6) -1583\r"; sleep 2;
echo -e "write (6,9) -1621\r"; sleep 2;
echo -e "write (6,10) -1700\r"; sleep 2;
echo -e "write (6,11) -1514\r"; sleep 2;
echo -e "write (6,12) -1445\r"; sleep 2;
echo -e "write (6,13) -1514\r"; sleep 2;
echo -e "write (6,14) -1444\r"; sleep 2;
echo -e "write (7,0) -1506\r"; sleep 2;
echo -e "write (7,1) -1450\r"; sleep 2;
echo -e "write (7,2) -1250\r"; sleep 2;
echo -e "write (7,3) -1532\r"; sleep 2;
echo -e "write (7,4) -1600\r"; sleep 2;
echo -e "write (7,5) -1557\r"; sleep 2;
echo -e "write (7,6) -1593\r"; sleep 2;
echo -e "write (7,9) -1463\r"; sleep 2;
echo -e "write (7,10) -1661\r"; sleep 2;
echo -e "write (7,11) -1499\r"; sleep 2;
echo -e "write (7,12) -1331\r"; sleep 2;
echo -e "write (7,13) -1625\r"; sleep 2;
echo -e "write (7,14) -1585\r"; sleep 2;
echo -e "write (8,0) -1289\r"; sleep 2;
echo -e "write (8,1) -1590\r"; sleep 2;
echo -e "write (8,2) -1331\r"; sleep 2;
echo -e "write (8,3) -1579\r"; sleep 2;
echo -e "write (8,4) -1507\r"; sleep 2;
echo -e "write (8,5) -1454\r"; sleep 2;
echo -e "write (8,6) -1649\r"; sleep 2;
echo -e "write (8,9) -1517\r"; sleep 2;
echo -e "write (8,10) -1565\r"; sleep 2;
echo -e "write (8,11) -1600\r"; sleep 2;
echo -e "write (8,12) -1588\r"; sleep 2;
echo -e "write (8,13) -1389\r"; sleep 2;
echo -e "write (8,14) -1641\r"; sleep 2;
echo -e "write (9,0) -1300\r"; sleep 2;
echo -e "write (9,1) -1380\r"; sleep 2;
echo -e "write (9,2) -1262\r"; sleep 2;
echo -e "write (9,3) -1320\r"; sleep 2;
echo -e "write (9,4) -1407\r"; sleep 2;
echo -e "write (9,5) -1548\r"; sleep 2;
echo -e "write (9,6) -1482\r"; sleep 2;
echo -e "write (9,9) -1573\r"; sleep 2;
echo -e "write (9,10) -1256\r"; sleep 2;
echo -e "write (9,11) -1618\r"; sleep 2;
echo -e "write (9,12) -1527\r"; sleep 2;
echo -e "write (9,13) -1469\r"; sleep 2;
echo -e "write (9,14) -1488\r"; sleep 2;
echo -e "write (10,0) -1352\r"; sleep 2;
echo -e "write (10,1) -1489\r"; sleep 2;
echo -e "write (10,2) -1600\r"; sleep 2;
echo -e "write (10,3) -1600\r"; sleep 2;
echo -e "write (10,4) -1626\r"; sleep 2;
echo -e "write (10,5) -1517\r"; sleep 2;
echo -e "write (10,6) -1428\r"; sleep 2;
echo -e "write (10,9) -1664\r"; sleep 2;
echo -e "write (10,10) -1697\r"; sleep 2;
echo -e "write (10,11) -1560\r"; sleep 2;
echo -e "write (10,12) -1413\r"; sleep 2;
echo -e "write (10,13) -1654\r"; sleep 2;
echo -e "write (10,14) -1600\r"; sleep 2;
echo -e "write (11,0) -1357\r"; sleep 2;
echo -e "write (11,1) -1273\r"; sleep 2;
echo -e "write (11,2) -1578\r"; sleep 2;
echo -e "write (11,3) -1493\r"; sleep 2;
echo -e "write (11,4) -1268\r"; sleep 2;
echo -e "write (11,5) -1488\r"; sleep 2;
echo -e "write (11,6) -1626\r"; sleep 2;
echo -e "write (11,9) -1656\r"; sleep 2;
echo -e "write (11,10) -1474\r"; sleep 2;
echo -e "write (11,11) -1367\r"; sleep 2;
echo -e "write (11,12) -1350\r"; sleep 2;
echo -e "write (11,13) -1388\r"; sleep 2;
echo -e "write (11,14) -1602\r"; sleep 2;
echo -e "write (12,0) -1391\r"; sleep 2;
echo -e "write (12,1) -1273\r"; sleep 2;
echo -e "write (12,2) -1390\r"; sleep 2;
echo -e "write (12,3) -1532\r"; sleep 2;
echo -e "write (12,4) -1468\r"; sleep 2;
echo -e "write (12,5) -1488\r"; sleep 2;
echo -e "write (12,6) -1427\r"; sleep 2;
echo -e "write (12,9) -1459\r"; sleep 2;
echo -e "write (12,10) -1455\r"; sleep 2;
echo -e "write (12,11) -1361\r"; sleep 2;
echo -e "write (12,12) -1622\r"; sleep 2;
echo -e "write (12,13) -1606\r"; sleep 2;
echo -e "write (12,14) -1563\r"; sleep 2;
echo -e "write (13,0) -1586\r"; sleep 2;
echo -e "write (13,1) -1678\r"; sleep 2;
echo -e "write (13,2) -1647\r"; sleep 2;
echo -e "write (13,3) -1620\r"; sleep 2;
echo -e "write (13,4) -1600\r"; sleep 2;
echo -e "write (13,5) -1669\r"; sleep 2;
echo -e "write (13,6) -1645\r"; sleep 2;
echo -e "write (13,9) -1430\r"; sleep 2;
echo -e "write (13,10) -1568\r"; sleep 2;
echo -e "write (13,11) -1623\r"; sleep 2;
echo -e "write (13,12) -1441\r"; sleep 2;
echo -e "write (13,13) -1615\r"; sleep 2;
echo -e "write (13,14) -1600\r"; sleep 2;
echo -e "write (14,0) -1570\r"; sleep 2;
echo -e "write (14,1) -1425\r"; sleep 2;
echo -e "write (14,2) -1600\r"; sleep 2;
echo -e "write (14,3) -1630\r"; sleep 2;
echo -e "write (14,4) -1583\r"; sleep 2;
echo -e "write (14,5) -1416\r"; sleep 2;
echo -e "write (14,6) -1214\r"; sleep 2;
echo -e "write (14,9) -1396\r"; sleep 2;
echo -e "write (14,10) -1276\r"; sleep 2;
echo -e "write (14,11) -1381\r"; sleep 2;
echo -e "write (14,12) -1558\r"; sleep 2;
echo -e "write (14,13) -1469\r"; sleep 2;
echo -e "write (14,14) -1268\r"; sleep 2;
echo -e "write (15,0) -1476\r"; sleep 2;
echo -e "write (15,1) -1310\r"; sleep 2;
echo -e "write (15,2) -1142\r"; sleep 2;

sleep 2;
echo -e "read (0-15,0-15)\r";
sleep 10;
echo -e "\r";
echo -e "\r";
echo -e "^]";
sleep 1;
) | telnet fms-serv.trg.bnl.local 7006 > ../log/fms_hvon_7006_$t.tex
echo Set new HV
cat ../log/fms_hvon_7006_$t.tex
